Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 656338 (CVE-2018-5388, VU338343) - <net-vpn/strongswan-5.6.3: integer underflow leads to buffer overflow and denial of service in stroke_socket.c (CVE-2018-5388)
Summary: <net-vpn/strongswan-5.6.3: integer underflow leads to buffer overflow and den...
Status: RESOLVED FIXED
Alias: CVE-2018-5388, VU338343
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://www.kb.cert.org/vuls/id/338343
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-23 16:26 UTC by Kristian Fiskerstrand (RETIRED)
Modified: 2018-11-26 18:37 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kristian Fiskerstrand (RETIRED) gentoo-dev 2018-05-23 16:26:27 UTC
Overview

strongSwan VPN's charon server prior to version 5.6.3 does not check packet length and may allow buffer underflow, resulting in denial of service.
Description

CWE-124: Buffer Underwrite ('Buffer Underflow') - CVE-2018-5388

In stroke_socket.c, a missing packet length check could allow a buffer underflow, which may lead to resource exhaustion and denial of service while reading from the socket.

According to the vendor, an attacker must typically have local root permissions to access the socket. However, other accounts and groups such as the vpn group (if capability dropping in enabled, for example) may also have sufficient permissions, but this configuration does not appear to be the default behavior.
Impact

A remote attacker with local user credentials (possibly a normal user in the vpn group, or root) may be able to underflow the buffer and cause a denial of service.
Solution

Apply an update

StrongSwan version 5.6.3 and above contain a patch for this issue.
Comment 1 MickKi 2018-07-10 09:58:14 UTC
strongswan-5.6.3 addressing a number of bugs and vulnerabilities was released on 2018/05/28.  Can you please push to the stable tree?
-- 
Regards,
Mick
Comment 2 Ben Kohler gentoo-dev 2018-07-14 01:41:20 UTC
Please bump this version and target for stable soon
Comment 3 Thomas Deutschmann gentoo-dev 2018-11-15 12:38:04 UTC
Added to an existing GLSA request.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2018-11-26 18:37:22 UTC
This issue was resolved and addressed in
 GLSA 201811-16 at https://security.gentoo.org/glsa/201811-16
by GLSA coordinator Aaron Bauman (b-man).